Subject: bug#12655: 24.2; Cannot discover automatic-all or other multi-buffer replacement commands

From: Reuben Thomas <[email-masked]>
Date: Mon, 15 Oct 2012 19:36:20 +0100

On 15 October 2012 16:14, Juri Linkov <[email-masked]> wrote:
>
> But you mentioned `C-h m' (`describe-mode').
> Do you mean to describe this feature in the docstrings of
> `tags-query-replace', `dired-do-query-replace-regexp',
> `vc-dir-query-replace-regexp' and `reftex-query-replace-document' ?

No. That would seem a bad place, as it would duplicate information
manually. It should be somewhere that is controlled by the multifile
map being hooked into the keymap. The place that documents the current
keymap, i.e. the mode help, seems to be a logical place for this.

> `automatic-all' is already documented in (info "(elisp) Search and Replace")

That is elisp coding documentation, not Emacs user documentation.

> Do you think it should be also documented in (info "(emacs) Tags Search") ?
>
> Then (info "(emacs) VC Directory Commands") should link to the node
> (info "(emacs) Tags Search") like (info "(emacs) Operating on Files") already does.
> With these links, this feature could be documented just in one Info node.

Might it be more logical to mention it in the documentation "(emacs)
Query Replace", where all the other keystrokes are documented?

-- 
http://rrt.sc3d.org